// A Simple POV-Ray Program 

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"

// First Essential Element - The CAMERA, the position of the user's eye.

camera {
	location <0, 2, -6>   // Where the Camera is located <x,y,z>

	direction <0, 0, 1> 
}


// Second Esssential Element - The LIGHT SOURCE 

light_source {
	<0, 4.6, 4>		// Location of the light 

	color <3.0, 3.0, 3.0> // The RGB Color of the light (White)
}


// Third Essential Element - The OBJECTS


plane {
	y, -1  //   Plane is perpendicular to the y-axis at -1 

texture{
		tiles {
			texture { pigment { White_Marble } }
			tile2
			texture { pigment { Black } }
		}
	}
}

plane {
	y, 5

	texture { White_Marble }
}

plane {
	x, -4
	texture {DMFWood6}
//	texture { Tom_Wood scale 0.1 }
//	finish { crand 0.1 }
}

plane {
	x, 4
	texture {DMFWood6}
// 	texture { Tom_Wood scale 0.1 }
//	finish{ crand 0.1 }
}

plane {
	z, 8

	finish { 
		ambient 0
		diffuse 0
		reflection 1
	}
}

plane {
	z, -8

	finish { 
		ambient 0
		diffuse 0
		reflection 1
	}
}

cylinder {
	<-3.5, 5, 4>, <-3.5, -1, 4>, .5
	texture { Red_Marble scale .5 }
}

cylinder {
	<3.5, 5, 4>, <3.5, -1, 4>, .5
	texture { Red_Marble scale .5}
}

cylinder {
	<-3.5, 5, -4>, <-3.5, -1, -4>, .5
	texture { Red_Marble scale .5 }
}

cylinder {
	<3.5, 5, -4>, <3.5, -1, -4>, .5
	texture { Red_Marble scale .5}
}

sphere {
	<0, 5, 4>, .75
	pigment { color rgbf <.9, .9, .6, .75> }
	finish {
		refraction 1
	}
}
